Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.app.params
Class StratSimParams

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.app.params.SimParams
          umontreal.iro.lecuyer.contactcenters.app.params.RepSimParams
              umontreal.iro.lecuyer.contactcenters.app.params.StratSimParams

    public class StratSimParams

extends RepSimParams

Represents parameters specific to an experiment using independent replications and stratification.

Field Summary
`protected Integer` | `numPilotRunsPerStratum`
`protected int` | `numStrata`
`protected Boolean` | `optimalAllocation`
`protected Integer` | `selectedColumn`
`protected String` | `selectedPerformanceMeasure`
`protected Integer` | `selectedRow`
`protected String` | `stratificationVariable`

Fields inherited from class umontreal.iro.lecuyer.contactcenters.app.params.RepSimParams
`maxReplications, minReplications, outReplications, perPeriodCollectingMode`

Fields inherited from class umontreal.iro.lecuyer.contactcenters.app.params.SimParams
`callTrace, controlVariables, cpuTimeLimit, enableChrono, estimateContactTypeAgentGroup, keepObs, normalizeToDefaultUnit, randomStreams, report, restrictToPrintedStat, sequentialSampling`

Constructor Summary
`StratSimParams()`

Method Summary
`int` | `getNumPilotRunsPerStratum()` Gets the value of the numPilotRunsPerStratum property.
`int` | `getNumStrata()` Gets the value of the numStrata property.
`int` | `getSelectedColumn()` Gets the value of the selectedColumn property.
`String` | `getSelectedPerformanceMeasure()` Gets the value of the selectedPerformanceMeasure property.
`int` | `getSelectedRow()` Gets the value of the selectedRow property.
`String` | `getStratificationVariable()` Gets the value of the stratificationVariable property.
`boolean` | `isOptimalAllocation()` Gets the value of the optimalAllocation property.
`boolean` | `isSetNumPilotRunsPerStratum()`
`boolean` | `isSetNumStrata()`
`boolean` | `isSetOptimalAllocation()`
`boolean` | `isSetSelectedColumn()`
`boolean` | `isSetSelectedPerformanceMeasure()`
`boolean` | `isSetSelectedRow()`
`boolean` | `isSetStratificationVariable()`
`void` | `setNumPilotRunsPerStratum(int value)` Sets the value of the numPilotRunsPerStratum property.
`void` | `setNumStrata(int value)` Sets the value of the numStrata property.
`void` | `setOptimalAllocation(boolean value)` Sets the value of the optimalAllocation property.
`void` | `setSelectedColumn(int value)` Sets the value of the selectedColumn property.
`void` | `setSelectedPerformanceMeasure(String value)` Sets the value of the selectedPerformanceMeasure property.
`void` | `setSelectedRow(int value)` Sets the value of the selectedRow property.
`void` | `setStratificationVariable(String value)` Sets the value of the stratificationVariable property.
`void` | `unsetNumPilotRunsPerStratum()`
`void` | `unsetOptimalAllocation()`
`void` | `unsetSelectedColumn()`
`void` | `unsetSelectedRow()`

Methods inherited from class umontreal.iro.lecuyer.contactcenters.app.params.RepSimParams
`getMaxReplications, getMinReplications, getOutReplications, getOutReplications, getOutReplicationsLength, getPerPeriodCollectingMode, isSetMaxReplications, isSetMinReplications, isSetOutReplications, isSetPerPeriodCollectingMode, setMaxReplications, setMinReplications, setOutReplications, setOutReplications, setPerPeriodCollectingMode, unsetMaxReplications, unsetOutReplications`

Methods inherited from class umontreal.iro.lecuyer.contactcenters.app.params.SimParams
`getCallTrace, getControlVariables, getCpuTimeLimit, getRandomStreams, getReport, getSequentialSampling, isEnableChrono, isEstimateContactTypeAgentGroup, isKeepObs, isNormalizeToDefaultUnit, isRestrictToPrintedStat, isSetCallTrace, isSetControlVariables, isSetCpuTimeLimit, isSetEnableChrono, isSetEstimateContactTypeAgentGroup, isSetKeepObs, isSetNormalizeToDefaultUnit, isSetRandomStreams, isSetReport, isSetRestrictToPrintedStat, isSetSequentialSampling, setCallTrace, setCpuTimeLimit, setEnableChrono, setEstimateContactTypeAgentGroup, setKeepObs, setNormalizeToDefaultUnit, setRandomStreams, setReport, setRestrictToPrintedStat, unsetControlVariables, unsetEnableChrono, unsetEstimateContactTypeAgentGroup, unsetKeepObs, unsetNormalizeToDefaultUnit, unsetRestrictToPrintedStat, unsetSequentialSampling`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### numStrata

    protected int numStrata

### numPilotRunsPerStratum

    protected Integer numPilotRunsPerStratum

### selectedPerformanceMeasure

    protected String selectedPerformanceMeasure

### selectedRow

    protected Integer selectedRow

### selectedColumn

    protected Integer selectedColumn

### stratificationVariable

    protected String stratificationVariable

### optimalAllocation

    protected Boolean optimalAllocation

Constructor Detail

### StratSimParams

    public StratSimParams()

Method Detail

### getNumStrata

    public int getNumStrata()

  Gets the value of the numStrata property.

### setNumStrata

    public void setNumStrata(int value)

  Sets the value of the numStrata property.

### isSetNumStrata

    public boolean isSetNumStrata()

### getNumPilotRunsPerStratum

    public int getNumPilotRunsPerStratum()

  Gets the value of the numPilotRunsPerStratum property.

  Returns:
    possible object is `Integer`

### setNumPilotRunsPerStratum

    public void setNumPilotRunsPerStratum(int value)

  Sets the value of the numPilotRunsPerStratum property.

  Parameters:
    `value` - allowed object is `Integer`

### isSetNumPilotRunsPerStratum

    public boolean isSetNumPilotRunsPerStratum()

### unsetNumPilotRunsPerStratum

    public void unsetNumPilotRunsPerStratum()

### getSelectedPerformanceMeasure

    public String getSelectedPerformanceMeasure()

  Gets the value of the selectedPerformanceMeasure property.

  Returns:
    possible object is `String`

### setSelectedPerformanceMeasure

    public void setSelectedPerformanceMeasure(String value)

  Sets the value of the selectedPerformanceMeasure property.

  Parameters:
    `value` - allowed object is `String`

### isSetSelectedPerformanceMeasure

    public boolean isSetSelectedPerformanceMeasure()

### getSelectedRow

    public int getSelectedRow()

  Gets the value of the selectedRow property.

  Returns:
    possible object is `Integer`

### setSelectedRow

    public void setSelectedRow(int value)

  Sets the value of the selectedRow property.

  Parameters:
    `value` - allowed object is `Integer`

### isSetSelectedRow

    public boolean isSetSelectedRow()

### unsetSelectedRow

    public void unsetSelectedRow()

### getSelectedColumn

    public int getSelectedColumn()

  Gets the value of the selectedColumn property.

  Returns:
    possible object is `Integer`

### setSelectedColumn

    public void setSelectedColumn(int value)

  Sets the value of the selectedColumn property.

  Parameters:
    `value` - allowed object is `Integer`

### isSetSelectedColumn

    public boolean isSetSelectedColumn()

### unsetSelectedColumn

    public void unsetSelectedColumn()

### getStratificationVariable

    public String getStratificationVariable()

  Gets the value of the stratificationVariable property.

  Returns:
    possible object is `String`

### setStratificationVariable

    public void setStratificationVariable(String value)

  Sets the value of the stratificationVariable property.

  Parameters:
    `value` - allowed object is `String`

### isSetStratificationVariable

    public boolean isSetStratificationVariable()

### isOptimalAllocation

    public boolean isOptimalAllocation()

  Gets the value of the optimalAllocation property.

  Returns:
    possible object is `Boolean`

### setOptimalAllocation

    public void setOptimalAllocation(boolean value)

  Sets the value of the optimalAllocation property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSetOptimalAllocation

    public boolean isSetOptimalAllocation()

### unsetOptimalAllocation

    public void unsetOptimalAllocation()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.